
<!DOCTYPE html>

<html lang="Python">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />

    <title>An Underwater Motion Capture System That Does Not Cost $150,000 &#8212; Underwater Motion Capture System 1.0.0 documentation</title>
    <link rel="stylesheet" type="text/css" href="_static/pygments.css" />
    <link rel="stylesheet" type="text/css" href="_static/alabaster.css" />
    <script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
    <script src="_static/jquery.js"></script>
    <script src="_static/underscore.js"></script>
    <script src="_static/doctools.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="Server" href="server.html" />
   
  <link rel="stylesheet" href="_static/custom.css" type="text/css" />
  
  
  <meta name="viewport" content="width=device-width, initial-scale=0.9, maximum-scale=0.9" />

  </head><body>
  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          

          <div class="body" role="main">
            
  <section id="an-underwater-motion-capture-system-that-does-not-cost-150-000">
<h1>An Underwater Motion Capture System That Does Not Cost $150,000<a class="headerlink" href="#an-underwater-motion-capture-system-that-does-not-cost-150-000" title="Permalink to this headline">¶</a></h1>
<p>Version 1.0.0</p>
<p><strong>Marvin's summer internship project at the University of Washington's Applied Physics Laboratory</strong></p>
<p>Underwater tracking of ROV submersibles is difficult. On-board sensors are often inaccurate and GPS signal does not reach the depth that the ROVs operate at. Because of this, using external cameras to track and locate objects deep underwater is an effective method. However, since the only commercially available underwater camera system costs a LOT of money, this project is meant to be an affordable alternative.</p>
</section>
<section id="setting-up">
<h1>Setting Up<a class="headerlink" href="#setting-up" title="Permalink to this headline">¶</a></h1>
<div class="toctree-wrapper compound">
<p class="caption" role="heading"><span class="caption-text">Installation and environment setup for both the server and clients are explained here:</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="server.html">Server</a><ul>
<li class="toctree-l2"><a class="reference internal" href="server.html#installing-python3">Installing Python3</a></li>
<li class="toctree-l2"><a class="reference internal" href="server.html#installing-python-packages">Installing Python Packages</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="client-hardware.html">Client Hardware</a><ul>
<li class="toctree-l2"><a class="reference internal" href="client-hardware.html#out-of-the-box-pi">Out-of-the-box Pi</a></li>
<li class="toctree-l2"><a class="reference internal" href="client-hardware.html#attaching-the-camera-module">Attaching the Camera Module</a></li>
<li class="toctree-l2"><a class="reference internal" href="client-hardware.html#initial-configuration">Initial Configuration</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="client-software.html">Client Software</a><ul>
<li class="toctree-l2"><a class="reference internal" href="client-software.html#python3">Python3</a></li>
<li class="toctree-l2"><a class="reference internal" href="client-software.html#creating-a-virtual-environment">Creating a Virtual Environment</a></li>
<li class="toctree-l2"><a class="reference internal" href="client-software.html#installing-packages">Installing Packages</a></li>
</ul>
</li>
</ul>
</div>
</section>
<section id="running-the-script">
<h1>Running the Script<a class="headerlink" href="#running-the-script" title="Permalink to this headline">¶</a></h1>
<blockquote>
<div><ol class="arabic simple">
<li><p>Run <code class="docutils literal notranslate"><span class="pre">threading_server.py</span></code> on the server device.</p></li>
<li><p>Run <code class="docutils literal notranslate"><span class="pre">threading_client.py</span></code> on each client device. Each client and the server should show a &quot;connected&quot; status message.</p></li>
<li><p>When prompted, type &quot;image&quot; on the server task window to request an image, or type &quot;quit&quot; to terminate the program</p></li>
<li><p>Received images will be in the four_way_images folder</p></li>
<li><p>Once images are received, user will be prompted once more for input, looping back to step 3</p></li>
</ol>
</div></blockquote>
<div class="line-block">
<div class="line"><br /></div>
</div>
</section>
<section id="additional-information">
<h1>Additional Information:<a class="headerlink" href="#additional-information" title="Permalink to this headline">¶</a></h1>
<div class="toctree-wrapper compound">
<p class="caption" role="heading"><span class="caption-text">This project is licensed under the BSD License:</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="license.html">Licensing</a></li>
</ul>
</div>
</section>


          </div>
          
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
<h1 class="logo"><a href="#">Underwater Motion Capture System</a></h1>








<h3>Navigation</h3>
<p class="caption" role="heading"><span class="caption-text">Installation and environment setup for both the server and clients are explained here:</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="server.html">Server</a></li>
<li class="toctree-l1"><a class="reference internal" href="client-hardware.html">Client Hardware</a></li>
<li class="toctree-l1"><a class="reference internal" href="client-software.html">Client Software</a></li>
</ul>
<p class="caption" role="heading"><span class="caption-text">This project is licensed under the BSD License:</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="license.html">Licensing</a></li>
</ul>

<div class="relations">
<h3>Related Topics</h3>
<ul>
  <li><a href="#">Documentation overview</a><ul>
      <li>Next: <a href="server.html" title="next chapter">Server</a></li>
  </ul></li>
</ul>
</div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false"/>
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>








        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="footer">
      &copy;2021, Marvin Lin.
      
      |
      Powered by <a href="http://sphinx-doc.org/">Sphinx 4.2.0</a>
      &amp; <a href="https://github.com/bitprophet/alabaster">Alabaster 0.7.12</a>
      
      |
      <a href="_sources/index.rst.txt"
          rel="nofollow">Page source</a>
    </div>

    

    
  </body>
</html>